BINGO(1)

NAME
bingo - Like 'go get' but for Go tools

DESCRIPTION
bingo: 'go get' like, simple CLI that allows automated versioning of Go package level binaries (e.g required as dev tools by your project!)

built on top of Go Modules, allowing reproducible dev environments. 'bingo' allows to easily maintain a separate, nested Go Module for each binary.

For detailed examples and documentation see: https://github.com/bwplotka/bingo

  Usage:

    bingo [command]

  Commands:

completion
    Generate the autocompletion script for the specified shell

get add development tools to the current project (e.g: bingo get github.com/fatih/faillint@latest)

list
    List enumerates all or one binary that are/is currently pinned in this project.

version
    Prints bingo Version.

OPTIONS

-h, --help
    help for bingo

-m, --moddir string
    Directory where separate modules for each binary will be maintained. Feel free to commit this directory to your VCS to bond binary versions to your project code. If the directory does not exist bingo logs and assumes a fresh project. (default ".bingo")

-v, --verbose
    Print more

Use "bingo [command] --help" for more information about a command.